/***********************************************
* Pop-it menu- © Dynamic Drive (www.dynamicdrive.com)
* This notice MUST stay intact for legal use
* Visit http://www.dynamicdrive.com/ for full source code
***********************************************/

var defaultMenuWidth="150px" //set default menu width.

var linkset=new Array()
//SPECIFY MENU SETS AND THEIR LINKS. FOLLOW SYNTAX LAID OUT

linkset[0]='<a href="/pages/tournaments.php"><img src="/template/projects_02.gif" width="187" height="24" border="0"></a>'
linkset[0]+='<a href="/pages/newworlds.php"><img src="/template/projects_03.gif" width="187" height="22" border="0"></a>'
linkset[0]+='<a href="/pages/mmskin.php"><img src="/template/projects_04.gif" width="187" height="21" border="0"></a>'
linkset[0]+='<a href="/pages/clanmatches.php"><img src="/template/projects_05.gif" width="187" height="21" border="0"></a>'
linkset[0]+='<a href="/pages/popretournys.php"><img src="/template/projects_06.gif" width="187" height="24" border="0"></a>'
linkset[0]+='<a href="/pages/forumgames.php"><img src="/template/projects_07.gif" width="187" height="21" border="0"></a>'
linkset[0]+='<a href="/pages/mixtape.php"><img src="/template/projects_08.gif" width="187" height="31" border="0"></a>'

linkset[1]='<a href="/pages/members.php"><img src="/template/community_01.gif" width="87" height="24" border="0"></a>'
linkset[1]+='<a href="/pages/map.php"><img src="/template/community_02.gif" width="87" height="22" border="0"></a>'
linkset[1]+='<a href="/pages/rules.php"><img src="/template/community_03.gif" width="87" height="21" border="0"></a>'
linkset[1]+='<a href="/pages/apply.php"><img src="/template/community_04.gif" width="87" height="40" border="0"></a>'

linkset[2]='<a href="/pages/history.php"><img src="/template/history_01.gif" width="114" height="24" border="0"></a>'
linkset[2]+='<a href="/pages/exmembers.php"><img src="/template/history_02.gif" width="114" height="22" border="0"></a>'
linkset[2]+='<a href="/pages/recruits.php"><img src="/template/history_03.gif" width="114" height="21" border="0"></a>'
linkset[2]+='<a href="/pages/timeline.php"><img src="/template/history_04.gif" width="114" height="21" border="0"></a>'
linkset[2]+='<a href="/pages/myth.php"><img src="/template/history_05.gif" width="114" height="37" border="0"></a>'

linkset[3]='<a href="/pages/news.php"><img src="/template/news_01.gif" width="77" height="24" border="0"></a>'
linkset[3]+='<a href="/pages/updates.php"><img src="/template/news_02.gif" width="77" height="34" border="0"></a>'

linkset[4]='<a href="/pages/poplinks.php"><img src="/template/links_01.gif" width="114" height="24" border="0"></a>'
linkset[4]+='<a href="/pages/clanlinks.php"><img src="/template/links_02.gif" width="114" height="34" border="0"></a>'

////No need to edit beyond here

var ie5=document.all && !window.opera
var ns6=document.getElementById

if (ie5||ns6)
document.write('<div id="popitmenu" onMouseover="clearhidemenu();" onMouseout="dynamichide(event)"></div>')

function iecompattest(){
return (document.compatMode && document.compatMode.indexOf("CSS")!=-1)? document.documentElement : document.body
}

function showmenu(e, which, optWidth){
if (!document.all&&!document.getElementById)
return
clearhidemenu()
menuobj=ie5? document.all.popitmenu : document.getElementById("popitmenu")
menuobj.innerHTML=which
menuobj.style.width=(typeof optWidth!="undefined")? optWidth : defaultMenuWidth
menuobj.contentwidth=menuobj.offsetWidth
menuobj.contentheight=menuobj.offsetHeight
eventX=ie5? event.clientX : e.clientX
eventY=ie5? event.clientY : e.clientY
//Find out how close the mouse is to the corner of the window
var rightedge=ie5? iecompattest().clientWidth-eventX : window.innerWidth-eventX
var bottomedge=ie5? iecompattest().clientHeight-eventY : window.innerHeight-eventY
//if the horizontal distance isn't enough to accomodate the width of the context menu
if (rightedge<menuobj.contentwidth)
//move the horizontal position of the menu to the left by it's width
menuobj.style.left=ie5? iecompattest().scrollLeft+eventX-menuobj.contentwidth+"px" : window.pageXOffset+eventX-menuobj.contentwidth+"px"
else
//position the horizontal position of the menu where the mouse was clicked
menuobj.style.left=ie5? iecompattest().scrollLeft+eventX+"px" : window.pageXOffset+eventX+"px"
//same concept with the vertical position
if (bottomedge<menuobj.contentheight)
menuobj.style.top=ie5? iecompattest().scrollTop+eventY-menuobj.contentheight+"px" : window.pageYOffset+eventY-menuobj.contentheight+"px"
else
menuobj.style.top=ie5? iecompattest().scrollTop+event.clientY+"px" : window.pageYOffset+eventY+"px"
menuobj.style.visibility="visible"
return false
}

function contains_ns6(a, b) {
//Determines if 1 element in contained in another- by Brainjar.com
while (b.parentNode)
if ((b = b.parentNode) == a)
return true;
return false;
}

function hidemenu(){
if (window.menuobj)
menuobj.style.visibility="hidden"
}

function dynamichide(e){
if (ie5&&!menuobj.contains(e.toElement))
hidemenu()
else if (ns6&&e.currentTarget!= e.relatedTarget&& !contains_ns6(e.currentTarget, e.relatedTarget))
hidemenu()
}

function delayhidemenu(){
delayhide=setTimeout("hidemenu()",500)
}

function clearhidemenu(){
if (window.delayhide)
clearTimeout(delayhide)
}

if (ie5||ns6)
document.onclick=hidemenu

